Package: org.codehaus.groovy.ast

## [Java] Class MethodCallTransformation

- org.codehaus.groovy.ast.MethodCallTransformation

- All Implemented Interfaces and Traits:
    ASTTransformation

      public abstract class MethodCallTransformation
      extends Object
      implements ASTTransformation

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract GroovyCodeVisitor` | `getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)`
    `` | `public void` | `visit(ASTNode[] nodes, SourceUnit sourceUnit)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### protected abstract GroovyCodeVisitor getTransformer(ASTNode[] nodes, SourceUnit sourceUnit)

    - #### @Override
      public void visit(ASTNode[] nodes, SourceUnit sourceUnit)